%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%  LaTeX french specific class <http://www.freesoftware.fsf.org/latexfr>
%  
%  %NAME%    : Lettre  la franaise
%  %AUTHOR%  : Philippe Roy
%  %EMAIL%   : philou@gnu.org
%  %VERSION% : 1.0 (20/12/2000)
%
%     Copyright owned by AUTHOR
%
%     This program is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 2 of the License, or
%     (at your option) any later version.
%
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
%
%     You should have received a copy of the GNU General Public License
%     along with this program; if not, write to the Free Software
%     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%  Compilation:
%
%    $ latex "\nonstopmode\input" fichier.tex
%    $ latex "\nonstopmode\input" fichier.tex
%    $ latex "\nonstopmode\input" fichier.tex
%    $ dvips fichier.dvi -o fichier.ps
%  
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ChangeLog
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% 20/12/2001 philou : Ajout des \raggedright, merci  Franois Dsarmnien <francois@fdesar.net>
% 20/12/2001 philou : Ajout des fonctions dans destinataire et signature

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bibliothques
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1998/12/01]
\ProvidesClass{lettreb}[2000/06/20 v1.0 Lettre]

\LoadClass[12pt,a4paper]{article}
\RequirePackage[greek,frenchb]{babel}
\RequirePackage[T1]{fontenc}
\RequirePackage[latin1]{inputenc}
\RequirePackage[french]{layout}
\RequirePackage{color}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mise en page
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\setlength{\textwidth}{19cm}		% Largeur du corps
%\setlength{\textheight}{27.7cm}	% Hauteur du corps

%\setlength{\textwidth}{420pt}		% Largeur du corps
%\setlength{\textheight}{700pt}		% Hauteur du corps
%\setlength{\oddsidemargin}{1cm}		% Marge gauche
%\setlength{\marginparsep}{0cm}		% Sparation droite entre corps et marge de notes
%\setlength{\marginparwidth}{0cm}	% Largeur de la marge de notes

%\setlength{\topmargin}{0cm}		% Marge haute
%\setlength{\headheight}{0cm} 		% Hauteur de l'entte
%\setlength{\headsep}{0cm} 		% Sparation basse entre corps et pied de page
%\setlength{\footskip}{1cm} 		% Hauteur du pied de page
%\setlength{\hoffset}{-30pt} 		% Bords gauche imprimeur
%\setlength{\voffset}{-30pt} 		% Bords haut imprimeur

\pagestyle{empty}	

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Document
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dbut
\newcommand{\debut}
{
  \begin{document}
    \fontfamily{cmss}
    \selectfont
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Ouverture
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand {\coordonneesData}{\mbox{}}
\newcommand {\coordonnees}[1]{\renewcommand{\coordonneesData}{#1}}

\newcommand {\destinataireData}{\mbox{}}
\newcommand {\destinataire}[1]{\renewcommand{\destinataireData}{#1}}

\newcommand {\referenceData}{\mbox{}}
\newcommand {\reference}[1]{\renewcommand{\referenceData}{#1}}

\newcommand {\attentionData}{\mbox{}}
\newcommand {\attention}[1]{\renewcommand{\attentionData}{#1}}

\newcommand {\attentiontitreData}{\mbox{}}
\newcommand {\attentiontitre}[1]{\renewcommand{\attentiontitreData}{#1}}

\newcommand {\ouvertureData}{\mbox{}}
\newcommand {\ouverture}[1]{\renewcommand{\ouvertureData}{#1}}

\newcommand {\dateData}{\mbox{}}
\renewcommand {\date}[1]{\renewcommand{\dateData}{#1}}

% Entete
\newcommand {\entete}
{	~\\~\\~\\~\\
	\begin{tabbing}
		\mbox{
                        % Coordonnes
                        \makebox[8cm][l]{
                        \begin{minipage}{8cm}\raggedright
                                \coordonneesData
                        \end{minipage}}

                        % Destinataire
                        \makebox[10cm][l]{
                        \begin{minipage}{10cm}\raggedright
                                ~\\~\\~\\~\\
                                \destinataireData\\~\\
                                \dateData
                        \end{minipage}}

		}
	\end{tabbing}~\\

	% Ma trs chre ...
	\begin{tabbing}
		\hspace{1cm}\= \kill
		\> \referenceData\\~\\
		\> \attentionData\\
		\> \attentiontitreData\\~\\
		\> \ouvertureData\\~\\
	\end{tabbing}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fermeture
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand {\signatureData}{\mbox{}}
\newcommand {\signature}[1]{\renewcommand{\signatureData}{#1}}

\newcommand {\signaturetitreData}{\mbox{}}
\newcommand {\signaturetitre}[1]{\renewcommand{\signaturetitreData}{#1}}

\newcommand {\fermetureData}{\mbox{}}
\newcommand {\fermeture}[1]{\renewcommand{\fermetureData}{#1}}

\newcommand {\postscritumData}{\mbox{}}
\newcommand {\postscritum}[1]{\renewcommand{\postscritumData}{#1}}

\newcommand {\piecesjointesData}{\mbox{}}
\newcommand {\piecesjointes}[1]{\renewcommand{\piecesjointesData}{#1}}

% Fin
\newcommand {\fin}
{
	~\\
	% Ma trs chre ...
	\begin{tabbing}
		\hspace{1cm}\= \hspace{10cm}\= \kill
		\> \fermetureData\\~\\~\\~\\
		\> \> \signaturetitreData\\
		\> \> \signatureData\\
	\end{tabbing}
	~\\
	\postscritumData\\
	~\\
	~\\
	\piecesjointesData\\
	\end{document}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Structure
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% enditemize
\newcommand\itemizend
{
  \vspace{10pt}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Franais
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\nde}{\up{nde}}
\newcommand{\euros}{\textgreek{\euro}}
